# ApplicationFramework
TKPShape
PColgp

# PColgp_HArray1OfPnt2d Class Reference

`#include <PColgp_HArray1OfPnt2d.hxx>`

## Public Member Functions

Standard_EXPORT | PColgp_HArray1OfPnt2d (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | PColgp_HArray1OfPnt2d (const Standard_Integer Low, const Standard_Integer Up, const gp_Pnt2d &V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const gp_Pnt2d &Value)
Standard_Integer | Upper () const
Standard_EXPORT gp_Pnt2d | Value (const Standard_Integer Index) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColgp_HArray1OfPnt2d ()
| PColgp_HArray1OfPnt2d (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColgp_HArray1OfPnt2dLowerBound () const
void | _CSFDB_SetPColgp_HArray1OfPnt2dLowerBound (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColgp_HArray1OfPnt2dUpperBound () const
void | _CSFDB_SetPColgp_HArray1OfPnt2dUpperBound (const Standard_Integer p)
const PColgp_FieldOfHArray1OfPnt2d & | _CSFDB_GetPColgp_HArray1OfPnt2dData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Member Functions

Standard_EXPORT PColgp_FieldOfHArray1OfPnt2d | Field () const
Standard_EXPORT Standard_Address | Datas () const

## Private Attributes

Standard_Integer | LowerBound
Standard_Integer | UpperBound
PColgp_FieldOfHArray1OfPnt2d | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_HArray1OfPnt2d::PColgp_HArray1OfPnt2d | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT PColgp_HArray1OfPnt2d::PColgp_HArray1OfPnt2d | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const gp_Pnt2d & | V
| ) |

PColgp_HArray1OfPnt2d::PColgp_HArray1OfPnt2d | ( |  | ) | `[inline]`

PColgp_HArray1OfPnt2d::PColgp_HArray1OfPnt2d | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColgp_FieldOfHArray1OfPnt2d& PColgp_HArray1OfPnt2d::_CSFDB_GetPColgp_HArray1OfPnt2dData | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray1OfPnt2d::_CSFDB_GetPColgp_HArray1OfPnt2dLowerBound | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray1OfPnt2d::_CSFDB_GetPColgp_HArray1OfPnt2dUpperBound | ( |  | ) | const`[inline]`

void PColgp_HArray1OfPnt2d::_CSFDB_SetPColgp_HArray1OfPnt2dLowerBound | ( | const Standard_Integer | p | ) | `[inline]`

void PColgp_HArray1OfPnt2d::_CSFDB_SetPColgp_HArray1OfPnt2dUpperBound | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Address PColgp_HArray1OfPnt2d::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColgp_FieldOfHArray1OfPnt2d PColgp_HArray1OfPnt2d::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColgp_HArray1OfPnt2d::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColgp_HArray1OfPnt2d::Length | ( |  | ) | const

Standard_Integer PColgp_HArray1OfPnt2d::Lower | ( |  | ) | const

Standard_EXPORT void PColgp_HArray1OfPnt2d::SetValue | ( | const Standard_Integer | Index,
|  | const gp_Pnt2d & | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColgp_HArray1OfPnt2d::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColgp_HArray1OfPnt2d::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColgp_HArray1OfPnt2d::Upper | ( |  | ) | const

Standard_EXPORT gp_Pnt2d PColgp_HArray1OfPnt2d::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

PColgp_FieldOfHArray1OfPnt2d PColgp_HArray1OfPnt2d::Data `[private]`

Standard_Integer PColgp_HArray1OfPnt2d::LowerBound `[private]`

Standard_Integer PColgp_HArray1OfPnt2d::UpperBound `[private]`

The documentation for this class was generated from the following file:

- PColgp_HArray1OfPnt2d.hxx